Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006968 [DCSS] Bug Report minor always 2013-04-27 05:12 2015-12-24 20:38
Reporter battaile View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0006968: auto-targeting issue with ensorcelled hibernation etc
Description If you have a sleep-immune monster and a susceptible monster in los, the sleep-immune monster can be selected with auto-target when casting EH. (if there is no susceptible monster in los, then auto-target will correctly not target the sleep-immune monster)

I'm pretty sure this also applies to other spells/effects. If there is nothing that can be affected in los, nothing will auto-target, but once one susceptible monster is in view, auto-target will cycle between all visible monsters regardless of their immune status.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0009391resolvedwheals Hexes don't check for immunity while targetting properly. 
child of 0007071resolvedwheals Numerous issues with Targetting, Tracers, Clouds and Breaths 

-  Notes
(0030074)
wheals (administrator)
2015-12-24 20:37

Should be fixed by https://github.com/crawl/crawl/commit/9029360753a7. [^]

- Issue History
Date Modified Username Field Change
2013-04-27 05:12 battaile New Issue
2013-05-21 20:03 mumra Relationship added child of 0007071
2015-01-12 03:50 neil Relationship added related to 0009391
2015-12-24 20:37 wheals Note Added: 0030074
2015-12-24 20:37 wheals Status new => resolved
2015-12-24 20:37 wheals Fixed in Branch => 0.18 development branch
2015-12-24 20:37 wheals Resolution open => done
2015-12-24 20:37 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker